Scientific Linux Security Update : pcre on SL5.x, SL4.x i386/x86_64

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

Multiple flaws were found in the way pcre handles certain malformed
regular expressions. If an application linked against pcre, such as
Konqueror, parses a malicious regular expression, it may be possible
to run arbitrary code as the user running the application.
(CVE-2007-1659, CVE-2007-1660)

See also :

http://www.nessus.org/u?5d09d4e9

Solution :

Update the affected pcre and / or pcre-devel packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 60281 ()

Bugtraq ID:

CVE ID: CVE-2007-1659
CVE-2007-1660